For Developers
Delete CIDR
DELETE https://ed.link/api/v2/teams/:team_id/origin_policies/:policy_id/cidrs/:cidr_id
Removes a CIDR block from the origin policy.
Permissions
Requires the origin_policy_cidrs.delete system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:policy_id | UUID | Yes | The ID of the origin policy. |
:cidr_id | UUID | Yes | The ID of the CIDR rule to delete. |
Sample Request
const response = await axios.delete(`https://ed.link/api/v2/teams/${team_id}/origin_policies/${policy_id}/cidrs/${cidr_id}`, {
headers: {
authorization: `Bearer ${user_session_token}`
}
});
Sample Response
{ "$request": "00000000-0000-0000-0000-000000000000" }
